package top.imwork.window.silos.controller.upms.view;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * Copyright (C), 2015-2025
 * FileName: UpmsViewController
 * Author<作者姓名>:   stars
 * CreateTime<创建时间>:   2025/12/9 16:52
 * UpdateTime<修改时间>:   2025/12/9 16:52
 * Description〈功能简述〉: upms视图控制器
 * History<历史描述>:
 * Since<版本号>: 1.0.0
 */
@RequestMapping("/upms/user/")
@Controller
public class UserViewController {
    @GetMapping("/list.html")
    public String list() {
        return "/upms/user/list";
    }

    @GetMapping("/edit.html")
    public String edit() {
        return "/upms/user/edit";
    }

    @GetMapping("/allot.html/{ids}")
    public String allot(@PathVariable("ids") String ids, Model model) {
        model.addAttribute("ids",ids);
        return "/upms/user/allot";
    }
}